repo/gentoo:master commit in: dev-python/wcmatch/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786777645.bc92cc5ff3e5195be801fbf14a4d5cfc488bbc07.mgorny@gentoo> |
commit: bc92cc5ff3e5195be801fbf14a4d5cfc488bbc07
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 15 05:40:31 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug 15 07:07:25 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bc92cc5f
dev-python/wcmatch: Bump to 11.0.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/wcmatch/Manifest | 1 +
dev-python/wcmatch/wcmatch-11.0.1.ebuild | 50 ++++++++++++++++++++++++++++++++
2 files changed, 51 insertions(+)
diff --git a/dev-python/wcmatch/Manifest b/dev-python/wcmatch/Manifest
index 40d67dd0bf62..b36383cc67b3 100644
--- a/dev-python/wcmatch/Manifest
+++ b/dev-python/wcmatch/Manifest
@@ -1 +1,2 @@
+DIST wcmatch-11.0.1.gh.tar.gz 150081 BLAKE2B c80a055c02d0fc671fae4ef7dd291c8e58bdf91a446394a22c845a6b5c0ad9842874631f0e446b7e407d34e61a938c9e18e6925b459205b85e93bed00d42fd9d SHA512 72ae74717212fd9d1cc8c726c6e07f6b2aa88fc6c508d03a8f616dc902fe5b08d356454b392fbfb4bc626df25c55153be8ec1cd42cc345a532a4cf489ea412c3
DIST wcmatch-11.0.gh.tar.gz 146821 BLAKE2B 800a6ba2c4aefdef6f68292427fd8250e358344fd0d8720360e83a11139713c9f657bb4feddf832b97bd893acf5092f3fa354ba41ef70fe6d3791085cf6fbc7c SHA512 a39fdd325b9f91a6e99e6b9f6a823029e306734eaf70c155a77192cab9651d04da005c8c02cf60ccb2bfad6b5c47493c3c988dcc6a0f7786c2b05da1801629ca
diff --git a/dev-python/wcmatch/wcmatch-11.0.1.ebuild b/dev-python/wcmatch/wcmatch-11.0.1.ebuild
new file mode 100644
index 000000000000..e6b9150c2988
--- /dev/null
+++ b/dev-python/wcmatch/wcmatch-11.0.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{12..15} )
+DISTUTILS_USE_PEP517=hatchling
+
+inherit distutils-r1
+
+DESCRIPTION="Wildcard/glob file name matcher"
+HOMEPAGE="
+ https://github.com/facelessuser/wcmatch/
+ https://pypi.org/project/wcmatch/
+"
+SRC_URI="
+ https://github.com/facelessuser/wcmatch/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/bracex-3.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-vcs/git
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # tests require some files in homedir
+ > "${HOME}"/test1.txt || die
+ > "${HOME}"/test2.txt || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # https://github.com/python/cpython/issues/155823
+ local -x PYTHON_JIT=0
+ epytest
+}